Doomsday Engine - Feature #2228

Automatic additional episode for custom PWADs
2017-04-01 17:46 - skyjake

Status: Closed Start date: 2017-04-01
Priority: Low % Done: 100%
Assignee: skyjake

Category: User experience

Target version: 2.1 (Late 2018)

Description

A PWAD may only contain a few maps, or it may replace maps other than the first map of an existing episode. Doomsday should
automatically generate an additional Episode definition based on the maps found in a PWAD, so that it is convenient to start a game.

This custom episode should be an additional one, so that the default episodes of the game are still available as normally.

History

#1 - 2017-04-01 17:50 - skyjake

- Description updated

#2 - 2017-04-01 17:50 - skyjake

- Description updated

#3 - 2017-04-02 20:38 - skyjake

- Priority changed from Normal to Low

#4 - 2018-10-27 15:15 - skyjake
- Status changed from New to Resolved

- % Done changed from 0 to 100

This is now done, although it is only enabled when the PWAD is loaded via the "Play in..." feature of the Mods tab in the game library.

#5 - 2018-10-27 19:13 - skyjake

- Status changed from Resolved to Closed
